#
# Adapted from https://build.opensuse.org/projects/devel:libraries:c_c++/packages/ulfius/files/ulfius.spec
#
# <3 OpenSUSE

%define _lto_cflags %{nil}
%define sover 2_7
Name:           ulfius
Version:        2.7.15
Release:        0
Summary:        Web Framework for REST Applications in C
License:        MIT
Group:          Development/Languages/C and C++
URL:            https://github.com/babelouest/ulfius
Source:         https://github.com/babelouest/ulfius/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(jansson) >= 2.1
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmicrohttpd) >= 0.9.51
BuildRequires:  pkgconfig(liborcania) >= 2.3.2
BuildRequires:  pkgconfig(libyder) >= 1.4.20
BuildRequires:  pkgconfig(zlib)

%description
The library is based on GNU libmicrohttpd for the backend web server, jansson
for the json manipulation library, and libcurl for the HTTP/SMTP client API.

It can be used to create web applications in C programs.

%package -n libulfius%{sover}
Summary:        Web Framework for REST Applications in C
Group:          System/Libraries

%description -n libulfius%{sover}
The library is based on GNU libmicrohttpd for the backend web server, jansson
for the json manipulation library, and libcurl for the HTTP/SMTP client API.

It can be used to create web applications in C programs.

%package devel
Summary:        Header files for ulfius
Group:          Development/Libraries/C and C++
Requires:       pkgconfig(libcurl)
Requires:       pkgconfig(gnutls)
Requires:       pkgconfig(jansson) >= 2.1
Requires:       pkgconfig(libmicrohttpd) >= 0.9.51
Requires:       libulfius%{sover} = %{version}
Requires:       pkgconfig(liborcania) >= 2.3.2
Requires:       pkgconfig(libyder) >= 1.4.20
Requires:       pkgconfig(zlib)

%description devel
Development and header files for libulfius.

%package -n uwsc
Summary:        Ulfius WebSocket Client
Group:          Productivity/Networking/Web/Utilities

%description -n uwsc
A simple command-line websocket client program.

%prep
%setup -q

%build
%cmake \
    -DDOWNLOAD_DEPENDENCIES=OFF \
    -DCMAKE_SHARED_LINKER_FLAGS="" \
    -DCMAKE_INSTALL_PREFIX:PATH=/
%cmake_build

%install
%cmake_install
rm -rf %{buildroot}/%{_datadir}/doc/

%post   -n libulfius%{sover} -p /sbin/ldconfig
%postun -n libulfius%{sover} -p /sbin/ldconfig

%files -n libulfius%{sover}
%license LICENSE
%{_libdir}/libulfius.so.*

%files devel
%doc CHANGELOG.md README.md API.md
%{_includedir}/ulfius.h
%{_includedir}/ulfius-cfg.h
%{_libdir}/libulfius.so
%{_libdir}/cmake/Ulfius
%{_libdir}/pkgconfig/libulfius.pc

%files -n uwsc
%{_bindir}/uwsc
%{_mandir}/man1/uwsc.1*

%changelog
